<template>

	<ul class="navbar-nav" id="ridesMenu">
	  <li>
	  	<router-link class="nav-item " v-bind:class="{ 'create-active': isOneway }" 
	  	to="/">One Way </router-link>
	  </li>
	  <li>
	  	<router-link class="nav-item" v-bind:class="{ 'create-active': isRoundTrip }"
	  	 to="/round-trip">Round Trip </router-link>
	  </li>
	  <li>
	  	<router-link class="nav-item" v-bind:class="{ 'create-active': isOpenRide }"
	  	 to="/open-rides">Open Ride </router-link>
	  </li>
	  <li>
	  	<router-link class="nav-item"  v-bind:class="{ 'create-active': isAirport }"
	  	to="/airport-rides">Airport Ride </router-link>
	  </li>
	</ul>

</template>

<script>

    import Loading from 'vue-loading-overlay';

    export default {
    	name:'routeMenu',
    	data(){
    		return{
    			'isOneway':false,
    			'isRoundTrip':false,
    			'isOpenRide':false,
    			'isAirport':false,
    		}
    	},
    	mounted(){
    		if(this.$route.name == "oneway"){
    			this.isOneway = true;
    		}
    		if(this.$route.name == "round-trip"){
    			this.isRoundTrip = true;
    		}
    		if(this.$route.name == "openrides"){
    			this.isOpenRide = true;
    		} 
    		if(this.$route.name == "createAirportRide"){
    			this.isAirport = true;
    		} 

    	},
    	methods:{

    	}
    }
</script>